# Class PageMargin

#### Hierarchy

- XmlComponent
  - PageMargin

- Defined in src/file/document/body/section-properties/properties/page-margin.ts:35

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageMargin(top: string | number, right: string | number, bottom: string | number, left: string | number, header: string | number, footer: string | number, gutter: string | number): PageMargin

- #### Parameters

  - ##### top: string | number

  - ##### right: string | number

  - ##### bottom: string | number

  - ##### left: string | number

  - ##### header: string | number

  - ##### footer: string | number

  - ##### gutter: string | number

  #### Returns PageMargin

  Overrides XmlComponent.constructor

  - Defined in src/file/document/body/section-properties/properties/page-margin.ts:36

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc